<div>
    <h2 id="page-heading">
        <span jhiTranslate="icyTrainApp.icoCremo.home.title">Ico Cremos</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-ico-cremo" [routerLink]="['/ico-cremo/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="icyTrainApp.icoCremo.home.createLabel">
            Create a new Ico Cremo
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="icoCremos?.length === 0">
        <span jhiTranslate="icyTrainApp.icoCremo.home.notFound">No icoCremos found</span>
    </div>
    <div class="table-responsive" *ngIf="icoCremos?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="name"><span jhiTranslate="icyTrainApp.icoCremo.name">Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="numOfKugeln"><span jhiTranslate="icyTrainApp.icoCremo.numOfKugeln">Num Of Kugeln</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="keksKornetKeks"><span jhiTranslate="icyTrainApp.icoCremo.keksKornetKeks">Keks Kornet Keks</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="price"><span jhiTranslate="icyTrainApp.icoCremo.price">Price</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="voyage.id"><span jhiTranslate="icyTrainApp.icoCremo.voyage">Voyage</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let icoCremo of icoCremos ;trackBy: trackId">
                <td><a [routerLink]="['/ico-cremo', icoCremo.id, 'view' ]">{{icoCremo.id}}</a></td>
                <td>{{icoCremo.name}}</td>
                <td>{{icoCremo.numOfKugeln}}</td>
                <td>{{icoCremo.keksKornetKeks}}</td>
                <td>{{icoCremo.price}}</td>
                <td>
                    <div *ngIf="icoCremo.voyage">
                        <a [routerLink]="['/voyage', icoCremo.voyage?.id, 'view' ]" >{{icoCremo.voyage?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/ico-cremo', icoCremo.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/ico-cremo', icoCremo.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(icoCremo)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="icoCremos?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
